Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ForumTopics

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ForumTopics

Enclosing class:
  TdApi

public static final class TdApi.ForumTopics extends TdApi.Object
Describes a list of forum topics.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`int`
`nextOffsetDate`
Offset date for the next getForumTopics request.
`long`
`nextOffsetMessageId`
Offset message identifier for the next getForumTopics request.
`long`
`nextOffsetMessageThreadId`
Offset message thread identifier for the next getForumTopics request.
`TdApi.ForumTopic[]`
`topics`
List of forum topics.
`int`
`totalCount`
Approximate total number of forum topics found.

## Constructor Summary

Constructors
Constructor
Description
`ForumTopics()`
Describes a list of forum topics.
`ForumTopics(int totalCount, TdApi.ForumTopic[] topics, int nextOffsetDate, long nextOffsetMessageId, long nextOffsetMessageThreadId)`
Describes a list of forum topics.
`ForumTopics(DataInput input)`
Describes a list of forum topics.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### totalCount

public int totalCount
Approximate total number of forum topics found.

### topics

public TdApi.ForumTopic[] topics
List of forum topics.

### nextOffsetDate

public int nextOffsetDate
Offset date for the next getForumTopics request.

### nextOffsetMessageId

public long nextOffsetMessageId
Offset message identifier for the next getForumTopics request.

### nextOffsetMessageThreadId

public long nextOffsetMessageThreadId
Offset message thread identifier for the next getForumTopics request.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### ForumTopics

public ForumTopics()
Describes a list of forum topics.

### ForumTopics

public ForumTopics(int totalCount, TdApi.ForumTopic[] topics, int nextOffsetDate, long nextOffsetMessageId, long nextOffsetMessageThreadId)
Describes a list of forum topics.

Parameters:
  `totalCount` - Approximate total number of forum topics found.
  `topics` - List of forum topics.
  `nextOffsetDate` - Offset date for the next getForumTopics request.
  `nextOffsetMessageId` - Offset message identifier for the next getForumTopics request.
  `nextOffsetMessageThreadId` - Offset message thread identifier for the next getForumTopics request.

### ForumTopics

public ForumTopics(DataInput input) throws IOException
Describes a list of forum topics.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`